org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.ignore

## Class NullVisitorFactory

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.ignore.NullVisitorFactory

All Implemented Interfaces:
  AnnotationVisitorFactory

    public class NullVisitorFactory
    extends Object
    implements AnnotationVisitorFactory

User: guillaume Date: 10/07/13 Time: 15:05

### Field Summary

Fields
`static AnnotationVisitorFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`NullVisitorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.AnnotationVisitor` `newAnnotationVisitor(BindingContext context)` May return null if no visitor can be created.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final AnnotationVisitorFactory INSTANCE

### Constructor Detail

#### NullVisitorFactory

    public NullVisitorFactory()

### Method Detail

#### newAnnotationVisitor

    public org.objectweb.asm.AnnotationVisitor newAnnotationVisitor(BindingContext context)

Description copied from interface: `AnnotationVisitorFactory`
May return null if no visitor can be created.

Specified by:
  `newAnnotationVisitor` in interface `AnnotationVisitorFactory`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`